Subject: Measurable performance improvements from RCU_INIT_POINTER()?

From: "Paul E. McKenney" <[email-masked]>
Date: Sat, 19 Jul 2014 01:12:40 -0700

Hello!

Did the replacement of selected calls to rcu_assign_pointer() by
RCU_INIT_POINTER() in the networking stack result in measurable
system-level performance improvements?

The reason I ask is that some of the compiler guys on the C and C++
standards committees are suggesting changes that would add barriers
in some cases.  I suspect that this is a very bad idea, and was hoping
that you guys would have some hard numbers on the system-level effects
of barriers.  ;-)

							Thanx, Paul